// license: AGPLv3 or later
// copyright 2023 zamfofex

#include <mimimi/models.h>
#include <mimimi/characters.h>

static struct mimimi_layer mimimi_head_value =
{
	0, 11, 0, 12, 32, 12,
	{
		{6, 6, 1, {0xF9}},
		{8, 8, 1, {0xF9}},
		{10, 10, 1, {0xF9}},
		{12, 12, 1, {0xF9}},
		{12, 12, 1, {0xF9}},
		{12, 12, 1, {0xF9}},
		{12, 12, 1, {0xF9}},
		{12, 12, 1, {0xF9}},
		{12, 12, 1, {0xF9}},
		{10, 10, 1, {0xF9}},
		{8, 8, 1, {0xF9}},
		{6, 6, 1, {0xF9}},
	},
};

static struct mimimi_layer mimimi_torso_value =
{
	0, 23, 0, 10, 32, 12,
	{
		{6, 4, 1, {0xF9}},
		{8, 4, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{10, 6, 1, {0xF9}},
		{8, 4, 1, {0xF9}},
		{6, 4, 1, {0xF9}},
	},
};

static struct mimimi_layer mimimi_left_arm_value =
{
	0, -1, -4, 4, 224, 12,
	{
		{2, 2, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{2, 2, 1, {0xF9}},
	},
};

static struct mimimi_layer mimimi_right_arm_value =
{
	0, -1, 4, 4, 224, 12,
	{
		{2, 2, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{2, 2, 1, {0xF9}},
	},
};

static struct mimimi_layer mimimi_left_leg_value =
{
	0, -11, -3, 4, 32, 12,
	{
		{2, 2, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{2, 2, 1, {0xF9}},
	},
};

static struct mimimi_layer mimimi_right_leg_value =
{
	0, -11, 3, 4, 32, 12,
	{
		{2, 2, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{4, 4, 1, {0xF9}},
		{2, 2, 1, {0xF9}},
	},
};

#include "mango.c"
#include "pepper.c"
